Update SnapLock audit logs
Updates the SnapLock audit logs to modify the volume, adjust its attributes, or archive existing audit log files. Use this endpoint to manage audit logs for compliance or record-keeping purposes.
HTTP method and endpoint
PATCH /storage/snaplock/audit-logs/{svm.uuid}
Introduced in
ONTAP 9.7
Usage notes
Updates one of the following:
-
the audit log volume,
-
the attributes of the audit log volume present, or
-
archive the current audit log files
Related ONTAP commands
-
snaplock log modify
Learn more
Parameters
| Name | Type | In | Required | Description |
|---|---|---|---|---|
svm.uuid |
string |
path |
True |
SVM UUID |
return_timeout |
integer |
query |
False |
The number of seconds to allow the call to execute before returning. When doing a POST, PATCH, or DELETE operation on a single record, the default is 0 seconds. This means that if an asynchronous operation is started, the server immediately returns HTTP code 202 (Accepted) along with a link to the job. If a non-zero value is specified for POST, PATCH, or DELETE operations, ONTAP waits that length of time to see if the job completes so it can return something other than 202.
|
Request Body
| Name | Type | Description |
|---|---|---|
log_archive |
||
log_files |
array[snaplock_log_file] |
|
log_volume |
Example request
{
"log_archive": {
"base_name": "string"
},
"log_files": [
{
"base_name": "string",
"expiry_time": "2058-06-04 19:00:00 +0000",
"path": "/snaplock_log/system_logs/20180822_005947_GMT-present",
"size": 20000
}
],
"log_volume": {
"max_log_size": 20971520,
"retention_period": "P30M",
"volume": {
"name": "volume1",
"uuid": "028baa66-41bd-11e9-81d5-00a0986138f7"
}
}
}
Response
Response
Status: 202, Accepted
Error
Status: Default
ONTAP Error Response codes
| Error code | Description |
|---|---|
14090344 |
If log_volume is specified, then log_archive must not be specified |
14090345 |
If log_archive.base_name is specified, then log_archive.archive must also be specified |
14090346 |
Internal Error. Wait a few minutes, then try the command again |
Definitions
See Definitions
href
| Name | Type | Description |
|---|---|---|
href |
string |
_links
log_archive
| Name | Type | Description |
|---|---|---|
archive |
boolean |
Archive the specified SnapLock log file for the given base_name, and create a new log file. If base_name is not mentioned, archive all log files. |
base_name |
string |
Base name of log archive |
snaplock_log_file
| Name | Type | Description |
|---|---|---|
base_name |
string |
Base name of log file |
expiry_time |
string |
Expiry time of the log file in date-time format. Value '9999-12-31T00:00:00Z' indicates infinite expiry time. |
path |
string |
Absolute path of the log file in the volume |
size |
integer |
Size of the log file in bytes |
volume
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the volume. This field cannot be specified in a PATCH method. |
uuid |
string |
Unique identifier for the volume. This corresponds to the instance-uuid that is exposed in the CLI and ONTAPI. It does not change due to a volume move.
|
snaplock_log_volume
| Name | Type | Description |
|---|---|---|
max_log_size |
integer |
Maximum size of log file in bytes |
retention_period |
string |
Specifies the default log record retention period. The retention period value represents a duration and must be specified in the ISO-8601 duration format. The retention period can be in years, months, days, hours, minutes and seconds. A period specified for years, months and days is represented in the ISO-8601 format as "P |
volume |
svm
SVM, applies only to SVM-scoped objects.
| Name | Type | Description |
|---|---|---|
name |
string |
The name of the SVM. This field cannot be specified in a PATCH method. |
uuid |
string |
The unique identifier of the SVM. This field cannot be specified in a PATCH method. |
snaplock_log
| Name | Type | Description |
|---|---|---|
log_archive |
||
log_files |
array[snaplock_log_file] |
|
log_volume |
job_link
| Name | Type | Description |
|---|---|---|
uuid |
string |
The UUID of the asynchronous job that is triggered by a POST, PATCH, or DELETE operation. |
error_arguments
| Name | Type | Description |
|---|---|---|
code |
string |
Argument code |
message |
string |
Message argument |
returned_error
| Name | Type | Description |
|---|---|---|
arguments |
array[error_arguments] |
Message arguments |
code |
string |
Error code |
message |
string |
Error message |
target |
string |
The target parameter that caused the error. |